DAK treats version 1:2.12+dfsg-1pureos1 as lower than 1:2.12+dfsg-1+b1.
Closed, WontfixPublic

Description

Today I received this resonse to uploading new package qemu:

Version check failed:
Your upload included the binary package qemu-system-x86, version 1:2.12+dfsg-1pureos1, for amd64,
however landing already has version 1:2.12+dfsg-1+b1.
Uploads to landing must have a higher version than present in landing.

Seems to me + should win over bare ""1" but not over "1pureos1".

mak closed this task as "Wontfix".May 28 2018, 12:04 PM

@jonas.smedegaard That is because the package has binNMUs, and there is nothing we can do about this issue unless we rebuild all the packages for PureOS again and stop binary-syncing.
You can work around this by making a 1:2.12+dfsg-1+pureos1 upload.

Add Comment